# Glom::SharedConnection Class Reference

When the SharedConnection is destroyed, it will inform the connection pool, so that the connection pool can keep track of who is using the connection, so that it can close it when nobody is using it. More...

Inherits sigc::trackable.

Collaboration diagram for Glom::SharedConnection:
[legend]

List of all members.

## Public Types

typedef sigc::signal< void > | type_signal_finished

## Public Member Functions

| SharedConnection ()
| SharedConnection (const Glib::RefPtr< Gnome::Gda::Connection >& gda_connection)
virtual | ~SharedConnection ()
Glib::RefPtr < Gnome::Gda::Connection > | get_gda_connection ()
Glib::RefPtr< const Gnome::Gda::Connection > | get_gda_connection () const
void | close ()
| Be careful not to use the gda_connection, or any copies of the SharedConnection after calling this.
type_signal_finished | signal_finished ()

## Detailed Description

When the SharedConnection is destroyed, it will inform the connection pool, so that the connection pool can keep track of who is using the connection, so that it can close it when nobody is using it.

## Member Typedef Documentation

typedef sigc::signal<void> Glom::SharedConnection::type_signal_finished

## Constructor & Destructor Documentation

Glom::SharedConnection::SharedConnection | ( |  | ) |

Glom::SharedConnection::SharedConnection | ( | const Glib::RefPtr< Gnome::Gda::Connection > & | gda_connection | ) |

Glom::SharedConnection::~SharedConnection | ( |  | ) | `[virtual]`

## Member Function Documentation

void Glom::SharedConnection::close | ( |  | ) |

Be careful not to use the gda_connection, or any copies of the SharedConnection after calling this.

Glib::RefPtr< const Gnome::Gda::Connection > Glom::SharedConnection::get_gda_connection | ( |  | ) | const

Glib::RefPtr< Gnome::Gda::Connection > Glom::SharedConnection::get_gda_connection | ( |  | ) |

SharedConnection::type_signal_finished Glom::SharedConnection::signal_finished | ( |  | ) |

The documentation for this class was generated from the following files:

- connectionpool.h
- connectionpool.cc